package sourceExo1;
import java.util.ArrayList;

/**
 * Contraintes : aucune méthode publique ne renvoie un Compte en résultat.
 *
 */
public class Titulaire {
	private String nom;                    // nom du titulaire
    private ArrayList<Compte> mesComptes;  // les comptes du titulaire

	public Titulaire (String n){
		nom =n; mesComptes = new ArrayList<Compte>();
	}
	/**
	 * Ajoute c aux comptes de ce titulaire.
	 * @param c compte à ajouter
	 */
	public void ajouterCompte(Compte c) {
		mesComptes.add(c);
	}
	/** Renvoie le compte de numero num dans le tableau. Méthode privée car
	 * les comptes ne doivent pas être exposés.
	 * @param num numéro de compte à chercher
	 * @return null si ce numéro est absent
	 */
	private  Compte getCompteDeNum(int num){
		for (Compte c: mesComptes){
			if (c.getNum() == num) {return c;}
		}
		return null;
	}
	/**
	 * Effectue un retrait de montant m sur le compte de numero numCompte.
	 * @throws IllegalArugmentException si le titulaire n'a aucun compte 
     * avec ce numero.
	 */
    public void retrait(int numCompte, double m) {
       // A MODIFIER
    }
	/**
	 *  Affiche tous les comptes d'un titulaire
	 */
	void afficher(){
       // A MODIFIER
	}
}
